glab(1)

NAME
glab-ci-lint - Checks if your .gitlab-ci.yml file is valid.

SYNOPSIS
glab ci lint [flags]

DESCRIPTION
Checks if your .gitlab-ci.yml file is valid.

OPTIONS
--dry-run[=false]
    Run pipeline creation simulation.

--include-jobs[=false]
    Response includes the list of jobs that would exist in a static check or pipeline simulation.

--ref=""
    When 'dry-run' is true, sets the branch or tag context for validating the CI/CD YAML configuration.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Uses .gitlab-ci.yml in the current directory
    $ glab ci lint
    $ glab ci lint .gitlab-ci.yml
    $ glab ci lint path/to/.gitlab-ci.yml

SEE ALSO
glab-ci(1)